[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

./packages/openofficeorg/3.2/experimental r1770: merge



------------------------------------------------------------
revno: 1770 [merge]
committer: Rene Engelhard <rene@debian.org>
branch nick: experimental
timestamp: Thu 2010-01-21 00:44:09 +0100
message:
  merge
modified:
  changelog
  rules
  shell-lib-components.sh
  shell-lib-extensions.sh
=== modified file 'changelog'
--- a/changelog	2010-01-20 23:40:48 +0000
+++ b/changelog	2010-01-20 23:44:09 +0000
@@ -5,6 +5,13 @@
 
   * debian/rules:
     - reenable system-stlport as a updated patch works with STLport 4.6
+    - also exclude /var/lib/openoffice/basisX.Y/program/services.rdb at
+      dh_md5sums
+    - build without VERBOSE=true (normal) mode on all buildds now in a try
+      to mitigate buildd log size
+  * debian/shell-lib-{extensions,components}.sh: add echos instead of debconf
+    message on DEBIAN_FRONTEND = noninteractive so that people in that case also
+    know what goes on
 
  -- Rene Engelhard <rene@debian.org>  Wed, 20 Jan 2010 20:41:36 +0100
 

=== modified file 'rules'
--- a/rules	2010-01-20 23:40:48 +0000
+++ b/rules	2010-01-20 23:44:09 +0000
@@ -344,17 +344,17 @@
 PLATFORMID := $(shell grep PLATFORMID debian/scripts/vars.$(ARCH) | cut -d"=" -f2)
 
 # ./configure defaults to STLport on i386 and we should keep it for
-# ABI-compatability (at least until graphite01 and/or mysqlnative get in
-# at which time we need to use gccs STL if we want to use system-graphite /
-# system-mysqlcppconn)
+# ABI-compatability
 OOO_STLPORT_ARCHS= i386
 ifeq "$(ARCH)" "i386"
 	USE_STLPORT=y
 endif
-#ifeq ($(ARCH),$(findstring $(ARCH),$(OOO_STLPORT_ARCHS)))
+# graphite and mysqlconnector built against libstc++s STL but OOo wants them
+# with STLport. Not possible without patch.
+ifeq ($(ARCH),$(findstring $(ARCH),$(OOO_STLPORT_ARCHS)))
 #	USE_SYSTEM_GRAPHITE=n
-#	USE_SYSTEM_MYSQLCPPCONN=n
-#endif
+	USE_SYSTEM_MYSQLCPPCONN=n
+endif
 
 ifeq "$(ENABLE_OPENGL)" "y"
 # doesn't make that much sense on arm(el) and mips(el), does it? :)
@@ -1797,12 +1797,8 @@
 	fi
 endif
 
-ifeq "$(ARCH)" "ia64"
-  ifeq (buildd,$(shell whoami))
+ifeq (buildd,$(shell whoami))
 	cd ooo-build ; PATH=$(BUILD_PATH) LD_LIBRARY_PATH=$(BUILD_LD_LIBRARY_PATH) DEFAULT_TO_ENGLISH_FOR_PACKING=1 ARCH_FLAGS=$(ARCH_FLAGS) TMP=/tmp $(MAKE)
-  else
-	cd ooo-build ; PATH=$(BUILD_PATH) LD_LIBRARY_PATH=$(BUILD_LD_LIBRARY_PATH) DEFAULT_TO_ENGLISH_FOR_PACKING=1 VERBOSE=true ARCH_FLAGS=$(ARCH_FLAGS) TMP=/tmp $(MAKE)
-  endif
 else
 	cd ooo-build ; PATH=$(BUILD_PATH) LD_LIBRARY_PATH=$(BUILD_LD_LIBRARY_PATH) DEFAULT_TO_ENGLISH_FOR_PACKING=1 VERBOSE=true ARCH_FLAGS=$(ARCH_FLAGS) TMP=/tmp $(MAKE)
 endif
@@ -3446,7 +3442,7 @@
 	dh_gencontrol -pure -pure-dbg -puno-libs3 -puno-libs3-dbg -- \
 		-V"ure:Version=$(shell grep UREPACKAGEVERSION $(SOURCE_TREE)/instsetoo_native/util/openoffice.lst | awk '{ print $$2 }')+OOo`echo $(BINARY_VERSION) | cut -d: -f2`" \
 		-v$(shell grep UREPACKAGEVERSION $(SOURCE_TREE)/instsetoo_native/util/openoffice.lst | awk '{ print $$2 }')+OOo`echo $(BINARY_VERSION) | cut -d: -f2`
-	dh_md5sums -s
+	dh_md5sums -s -X$(shell echo $(OOBASISDIR) | sed -e s/usr/var/)/program/services.rdb
 	dh_builddeb -s $(DEBHELPER_OPTIONS) $(BUILDDEB_OPTIONS)
 
 	touch $@

=== modified file 'shell-lib-components.sh'
--- a/shell-lib-components.sh	2010-01-12 22:31:01 +0000
+++ b/shell-lib-components.sh	2010-01-20 22:56:05 +0000
@@ -3,12 +3,26 @@
 		LOCKFILE="`grep UserInstallation /usr/lib/openoffice/program/bootstraprc | cut -d= -f2 | sed -e 's,SYSUSERCONFIG,HOME,'`/.lock"
 		PID=`pgrep soffice.bin | head -n 1`
 		if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
-			db_input high openoffice.org/running
-			db_go
-			# try again in case OOo got closed before hitting OK
-			PID=`pgrep soffice.bin | head -n 1`
-			if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
-			  exit 1
+			if [ "$DEBIAN_FRONTEND" = "noninteractive" ]; then
+				echo "OpenOffice.org running!" >&2
+			 	echo "" >&2
+				echo -n "OpenOffice.org is running right now with pid " >&2
+				echo -n "$PID." >&2
+				echo -n " This can cause problems\n" >&2
+				echo "with (de-)registration of components and extensions" >&2
+				echo "Thus this package will fail to install" >&2
+				echo "You should close all running instances of OpenOffice.org (including" >&2
+				echo "any currently running Quickstarter) before proceeding with the package" >&2
+				echo "upgrade." >&2
+				exit 1
+			else
+			  	db_input high openoffice.org/running
+			  	db_go
+				# try again in case OOo got closed before hitting OK
+				PID=`pgrep soffice.bin | head -n 1`
+				if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
+			  		exit 1
+				fi
 			fi
 		fi
 	fi

=== modified file 'shell-lib-extensions.sh'
--- a/shell-lib-extensions.sh	2010-01-12 22:31:01 +0000
+++ b/shell-lib-extensions.sh	2010-01-20 22:56:05 +0000
@@ -3,12 +3,26 @@
 		LOCKFILE="`grep UserInstallation /usr/lib/openoffice/program/bootstraprc | cut -d= -f2 | sed -e 's,SYSUSERCONFIG,HOME,'`/.lock"
 		PID=`pgrep soffice.bin | head -n 1`
 		if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
-			db_input high openoffice.org/running
-			db_go
-			# try again in case OOo got closed before hitting OK
-			PID=`pgrep soffice.bin | head -n 1`
-			if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
-			  exit 1
+			if [ "$DEBIAN_FRONTEND" = "noninteractive" ]; then
+				echo "OpenOffice.org running!" >&2
+			 	echo "" >&2
+				echo -n "OpenOffice.org is running right now with pid " >&2
+				echo -n "$PID." >&2
+				echo -n " This can cause problems\n" >&2
+				echo "with (de-)registration of components and extensions" >&2
+				echo "Thus this package will fail to install" >&2
+				echo "You should close all running instances of OpenOffice.org (including" >&2
+				echo "any currently running Quickstarter) before proceeding with the package" >&2
+				echo "upgrade." >&2
+				exit 1
+			else
+			  	db_input high openoffice.org/running
+			  	db_go
+				# try again in case OOo got closed before hitting OK
+				PID=`pgrep soffice.bin | head -n 1`
+				if [ -n "$PID" ] || [ -e "$LOCKFILE" ]; then
+			  		exit 1
+				fi
 			fi
 		fi
 	fi


Reply to: